Skip to main content
This API action upgrades a service to a higher product package.

Method / Endpoint

POST {{API_URL}}/order/upgrade
For Hostrox, the full URL is:
POST https://client.hostrox.net/api/reseller/order/upgrade

Request parameters

NameRequiredDescription
keyYesAPI Key
idYesOrder ID number
upgrade_product_typeYesType of the product to upgrade to
upgrade_product_idYesID number of the product to upgrade to
upgrade_product_period_typeYesTarget billing period. Possible values: year, month, week, day, hour
upgrade_product_period_durationYesLength of the target billing period

Example cURL request

curl --location 'https://client.hostrox.net/api/reseller/order/upgrade' \
  --header 'Content-Type: application/json' \
  --data '{
    "key": "UzZBSlBWeWk0UEcrVWxlU0RjS1B1dz09",
    "id": 3,
    "upgrade_product_type": "hosting",
    "upgrade_product_id": 34,
    "upgrade_product_period_type": "month",
    "upgrade_product_period_duration": 1
  }'

Example JSON response

{
  "status": "successful",
  "invoice_id": 4,
  "fee": "10.0000",
  "fee_formatted": "$10"
}